← Tabeller

Scotland

National League Division 3

#LagPWDLPDBPPtsForm
1Cartha Queens Park RFC7700+182634WWWWW
2Allan Glen's RFC7601+99731WWWLW
3Strathmore RFC7601+99428LWWWW
4Dumfries Saints RFC7502+81727WWLWW
5West of Scotland FC7403+104521LWWLW
6Aberdeen Grammar Rugby7205-156513LWLLL
7Orkney RFC7205-49412WLLWL
8Lasswade RFC7106-115610LLLLL
9Berwick RFC7106-171610LWLLL
10Hillhead Jordanhill RFC7106-7426LLLWL

Kilde: Scottish Rugby · sjekket 18. okt., 16:20 · Form: de fem siste resultatene vi har, nyeste til høyre.

Kamper og resultater →

Hver tabell er ligaens egen publiserte stilling, med bonuspoeng, trekk og rangeringsregler. BP vises der ligaen publiserer det; ellers er det allerede med i Pts.